Subject: Re: [Anima] I-D Action: draft-richardson-anima-state-for-joinrouter-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 18 Jan 2016 11:26:27 +1300

> 1.  Introduction
...
>    It order to
>    avoid providing globally reachable addresses to the prospective new
>    network member, it assumes that a Join Router.  

That sentence ends a bit abruptly.

Section 3 has various sentences like:

> In response to discovery, the proxy would reply with...

Does that mean you have settled on the new node sending a discovery multicast?
(Just asking. GRASP could work this way round, or by the proxy occasionally
flooding its information for new nodes to hear. It could even send a URI as
the immediate response to discovery.)

> 3.4.  4.  CoAP/DTLS with relay mechanism
...
> The new node would then initiate a DTLS session over UDP

I don't understand where the certificate comes from in that case.

Do you plan to add pros and cons for the various methods?

I realise that your purpose is to describe all the choices, but I think
we should immediately wipe all the NAT approaches off the table. IMHO,
we must never encourage any form of NAT for IPv6.

Regards
   Brian